# opzet/lijk/oordeel.py
#
#

""" the thing to resolve. """

## IMPORTS

from opzet.lijk.campagne import until, url, tags, names_out, seconds, starttime
from opzet.lijk.gemeenten import gemeenten_txt
from opzet.utils.time import elapsed_days
from opzet.clock import Repeater
from opzet.kernel import kernel

import random
import time

## OORDELEN

def oordelen(event):
    delta = time.time() - starttime
    next = until(delta)
    for name in names_out:
        nr = int(delta / seconds.get(name))
        txt = "%s %d (%s) %s" % (name.upper(), nr, elapsed_days(next.get(name)), tags.get(name)) 
        event.reply(txt.strip())

kernel.register("oordelen", oordelen)

def oordeel(*args, **kwargs):
    delta = time.time() - starttime
    next = until(delta)
    for name in names_out:
        nr = int(delta / seconds.get(name))
        if int(seconds.get(name) - delta) % seconds.get(name) == 0: 
            txt = "%s %d (%s) %s - %s" % (name.upper(), nr, elapsed_days(next.get(name)), tags.get(name), random.choice(gemeenten_txt.split("\n"))) 
            kernel.announce(txt.strip())

## INIT

def init(*args, **kwargs):
    todo = Repeater(oordeel, 1)
    kernel.put(todo.start)
